modify.c File Reference
`#include "ruby.h"`

Go to the source code of this file.

## Functions

VALUE | bug_str_modify (VALUE str)
VALUE | bug_str_modify_expand (VALUE str, VALUE expand)
void | Init_modify (VALUE klass)

## Function Documentation

VALUE bug_str_modify | ( | VALUE | str | ) |

Definition at line 4 of file modify.c.

References rb_str_modify().

Referenced by Init_modify().

VALUE bug_str_modify_expand | ( | VALUE | str,
|  | VALUE | expand
| ) |  |

Definition at line 11 of file modify.c.

References NUM2LONG(), and rb_str_modify_expand().

Referenced by Init_modify().

void Init_modify | ( | VALUE | klass | ) |

Definition at line 18 of file modify.c.

References bug_str_modify(), bug_str_modify_expand(), and rb_define_method().